tx
curl --request GET \
--url https://rpc.cosmos.directory/cosmoshub/tximport requests
url = "https://rpc.cosmos.directory/cosmoshub/tx"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rpc.cosmos.directory/cosmoshub/tx', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 0,
"result": {
"hash": "D70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED",
"height": "1000",
"index": 0,
"tx_result": {
"log": "[{\"msg_index\":\"0\",\"success\":true,\"log\":\"\"}]",
"gas_wanted": "200000",
"gas_used": "28596",
"tags": [
{
"key": "action",
"value": "send",
"index": false
}
]
},
"tx": "5wHwYl3uCkaoo2GaChQmSIu8hxpJxLcCuIi8fiHN4TMwrRIU/Af1cEG7Rcs/6LjTl7YjRSymJfYaFAoFdWF0b20SCzE0OTk5OTk1MDAwEhMKDQoFdWF0b20SBDUwMDAQwJoMGmoKJuta6YchAwswBShaB1wkZBctLIhYqBC3JrAI28XGzxP+rVEticGEEkAc+khTkKL9CDE47aDvjEHvUNt+izJfT4KVF2v2JkC+bmlH9K08q3PqHeMI9Z5up+XMusnTqlP985KF+SI5J3ZOIhhNYWRlIGJ5IENpcmNsZSB3aXRoIGxvdmU="
}
}{
"id": 0,
"jsonrpc": "2.0",
"error": "Description of failure"
}Info
tx
Get transactions by hash
Get a transaction
Upon success, the Cache-Control header will be set with the default
maximum age.
GET
/
tx
tx
Query Parameters
hash of transaction to retrieve
Example:
"0xD70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED"
Include proofs of the transaction's inclusion in the block
Example:
true
Was this page helpful?
⌘I